---
title: delete-all-cache-artifacts
product: vercel
url: /docs/rest-api/artifacts/delete-all-cache-artifacts
canonical_url: "https://vercel.com/docs/rest-api/artifacts/delete-all-cache-artifacts"
last_updated: 2026-09-06
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about delete-all-cache-artifacts on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Delete all cache artifacts

```http
DELETE /v8/artifacts
```

Deletes all cache artifacts stored for the authenticated team or user, clearing the Remote Cache. Subsequent builds will re-populate the cache.

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

### TypeScript

```typescript
const response = await fetch('https://api.vercel.com/v8/artifacts?teamId=string&slug=string', {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Next.js

```typescript
'use server';

export async function callEndpoint() {
  const response = await fetch('https://api.vercel.com/v8/artifacts?teamId=string&slug=string', {
    method: 'DELETE',
    headers: {
      'Authorization': `Bearer ${process.env.VERCEL_ACCESS_TOKEN}`,
      'Content-Type': 'application/json',
    },
    next: { revalidate: 3600 }
  });

  if (!response.ok) {
    throw new Error('Request failed');
  }

  return response.json();
}
```

### cURL

```bash
curl -X DELETE 'https://api.vercel.com/v8/artifacts?teamId=string&slug=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json'
```

## Example response

```json
{
  "deletedCount": "123"
}
```

## Responses

### 200: Success. All cache artifacts for the account were deleted.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "deletedCount"
  ],
  "properties": {
    "deletedCount": {
      "type": "number"
    }
  }
}
```

### 400: No description

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 410: No description

---

## Related

- [artifacts endpoints](/docs/rest-api#artifacts)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
